# $Revision: 1.3 $, $Date: 2002/09/16 21:18:36 $
Summary:	LCDproc displays real-time system information on a 20x4 backlit LCD
Summary(pl):	LCDproc wywietla aktualne informacje o systemie na wywietlaczu LCD 20x4
Name:		lcdproc
Version:	0.4.3
Release:	3
License:	GPL
Group:		Applications/System
Source0:	http://lcdproc.omnipotent.net.net/%{name}-%{version}.tar.bz2
Source1:	LCDd.init
URL:		http://lcdproc.omnipotent.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	ncurses-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LCDproc is a client/server suite inclduding drivers for all kinds of
nifty LCD displays. The server supports several serial devices: Matrix
Orbital, Crystal Fontz, Bayrad, LB216, LCDM001 (kernelconcepts.de),
Wirz-SLI and PIC-an-LCD; and some devices connected to the LPT port:
HD44780, STV5730, T6963, SED1520 and SED1330. Various clients are
available that display things like CPU load, system load, memory
usage, uptime, and a lot more.

%description -l pl
LCDproc jest narzdziem w architekturze klient/serwer zawierajcym
sterowniki do wywietlaczy LCD takich jak podczane przez port
szeregowy: Matrix Orbital, Crystal Fontz, Bayrad, LB216, LCDM001
(kernelconcepts.de), Wirz-SLI i PIC-an-LCD; oraz przez port
rwnolegy: HD44780, STV5730, T6963, SED1520 i SED1330. Dostpne s
programy klienckie monitorujce m.in. obcienie procesora, systemu,
zajto pamici, czas pracy i wiele innych.

%prep
%setup -q

%build
rm -f missing
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
CPPFLAGS="-I%{_includedir}/ncurses"; export CPPFLAGS

%configure \
	--enable-stat-nfs \
	--enable-stat-smbfs \
	--enable-drivers="mtxorb,cfontz,curses,text,lb216,hd44780,joy,irman,bayrad,glk,stv5730,sed1330,sed1520,lcdm001,t6963"

%{__make} CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/rc.d/init.d,%{_sysconfdir}/lcdproc}

%{__make} install DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1}	$RPM_BUILD_ROOT/etc/rc.d/init.d/LCDd

# conf files
install LCDd.conf scripts/lcdproc.conf $RPM_BUILD_ROOT%{_sysconfdir}/lcdproc

echo "-s localhost -p 13666 C M X U P S" > \
			$RPM_BUILD_ROOT%{_sysconfdir}/lcdproc/lcdproc.conf

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README* INSTALL TODO ChangeLog
%dir %{_sysconfdir}/lcdproc
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/lcdproc/*
%attr(754,root,root) /etc/rc.d/init.d/LCDd
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_sbindir}/*
%{_mandir}/man?/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: lcdproc.spec,v $
Revision 1.3  2002/09/16 21:18:36  qboosh
- pl fixes, verify(...) for config file, cosmetics; release 3

Revision 1.2  2002/09/16 18:39:57  kloczek
- cleanups.

Revision 1.1  2002/09/16 12:39:12  marcus
- initial version (from mdk)

* Thu Sep 12 2002 Nicolas Chipaux <chipaux@mandrakesoft.com> 0.4.3-1mdk
- new release

* Fri Oct 26 2001 Rex Dieter <rdieter@unl.edu> 0.4.1-1
- --enable-stat-smbfs
- TODO: make server/client init scripts

* Mon Oct 22 2001 Rex Dieter <rdieter@unl.edu> -0
- first try, 0.4.1
- --enable-stat-nfs
